org.apache.cassandra.cql3.statements

## Class ColumnGroupMap.Builder

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ColumnGroupMap.Builder

Enclosing class:
  ColumnGroupMap

    public static class ColumnGroupMap.Builder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ColumnGroupMap.Builder(CompositeType composite, boolean hasCollections, long now)`

### Method Summary

Methods
`void` `add(Column c)`
`void` `discardFirst()`
`ColumnGroupMap` `firstGroup()`
`java.util.List<ColumnGroupMap>` `groups()`
`boolean` `isEmpty()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnGroupMap.Builder

    public ColumnGroupMap.Builder(CompositeType composite,
                          boolean hasCollections,
                          long now)

### Method Detail

#### add

    public void add(Column c)

#### groups

    public java.util.List<ColumnGroupMap> groups()

#### isEmpty

    public boolean isEmpty()

#### firstGroup

    public ColumnGroupMap firstGroup()

#### discardFirst

    public void discardFirst()